pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::HuberPenalty Class Reference

`#include <pcl/registration/ia_ransac.h>`

Inheritance diagram for pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::HuberPenalty:

## Public Member Functions

| HuberPenalty (float threshold)
virtual float | operator() (float e) const
Public Member Functions inherited from pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor
virtual | ~ErrorFunctor ()

## Protected Attributes

float | threshold_

## Detailed Description

### template<typename PointSource, typename PointTarget, typename FeatureT>
class pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::HuberPenalty

Definition at line 95 of file ia_ransac.h.

## Constructor & Destructor Documentation

## HuberPenalty()

template<typename PointSource, typename PointTarget, typename FeatureT>

pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::HuberPenalty::HuberPenalty | ( | float | threshold | ) |

inline

Definition at line 100 of file ia_ransac.h.

## Member Function Documentation

## operator()()

template<typename PointSource, typename PointTarget, typename FeatureT>

virtual float pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::HuberPenalty::operator() | ( | float | e | ) | const

inline virtual

Implements pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor.

Definition at line 101 of file ia_ransac.h.

## Member Data Documentation

## threshold_

template<typename PointSource, typename PointTarget, typename FeatureT>

float pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::HuberPenalty::threshold_

protected

Definition at line 109 of file ia_ransac.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/registration/include/pcl/registration/ia_ransac.h